Subject: Re: [PATCH 0/5] Support 64K pages mapping of SPE local stores on 4K kernel

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sun, 22 Apr 2007 08:44:28 +1000

On Sat, 2007-04-21 at 22:33 +0200, Arnd Bergmann wrote:
> On Friday 02 March 2007, Benjamin Herrenschmidt wrote:
> > This serie of patches supports userland mappings of SPE local stores
> > using 64K hardware pages rather than 4K on a kernel using 4K pages to
> > improve performances.
> 
> Ben, I have problems porting these patches to powerpc.git#for-2.6.22.
> Could you port them yourself and submit them to Paul? What is the
> status of the second patch, do you have a version suitable for upstream?

I have more up to date versions of these, I'll do the port. The generic
change needs to be done differently for upstream. I've been posting
regulary a serie of patches that change get_unmapped_area() for that
which I hope will get upstream but I yet to have some feedback from
akpm...

Ben.